Summary: USB topology and device viewer
Name: usbview
Version: 1.0
Release: 11
License: GPL
Group: Applications/System
URL: http://www.kroah.com/linux-usb/
Source: http://www.kroah.com/linux-usb/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}
Requires: gtk+ >= 1:1.2.3
ExcludeArch: s390 s390x

%description
USBView is a GTK program that displays the topography of the devices 
that are plugged into the USB bus on a Linux machine. It also displays 
information on each of the devices. This can be useful to determine if 
a device is working properly or not.

%prep
%setup -q

%build
%configure 
make

%install
rm -fr $RPM_BUILD_ROOT
%makeinstall

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog COPYING README TODO AUTHORS NEWS
/usr/bin/usbview

%changelog
* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jun  3 2003 Jeff Johnson <jbj@redhat.com>
- add explicit epoch's where needed.

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Dec 12 2002 Tim Powers <timp@redhat.com> 1.0-8
- rebuild on all arches

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Feb 26 2002 Trond Eivind Glomsrd <teg@redhat.com> 1.0-5
- Rebuild

* Thu Jan 24 2002 Trond Eivind Glomsrd <teg@redhat.com> 1.0-4
- Build in new environment

* Tue Jun 19 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add ExcludeArch: s390 s390x

* Wed Dec 06 2000 Trond Eivind Glomsrd <teg@redhat.com>
- 1.0

* Fri Dec 01 2000 Trond Eivind Glomsrd <teg@redhat.com>
- rebuild

* Mon Nov 06 2000 Trond Eivind Glomsrd <teg@redhat.com>
- 0.9.0, which contains my older patch - thus, remove it

* Mon Jul 17 2000 Trond Eivind Glomsrd <teg@redhat.com>
- add patch so it shows the USB tree on start
- 0.8.1
- drop old patch

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jun 28 2000 Trond Eivind Glomsrd <teg@redhat.com>
- fix %%changelog  

* Thu Jun 28 2000 Trond Eivind Glomsrd <teg@redhat.com>
- sanitize spec file, use %%configure, %%makeinstall,
  %%{_tmppath}

* Thu Jun 14 2000 Greg Kroah-Hartman <greg@kroah.com>
[usbview-0.8.0]
- Added ability to select where the devices file is located at.
  This allows you to view a usbdevfs devices file that comes
  from another user, for instance. It also accomidates those who
  do not mount usbdevfs at /proc/bus/usb.
- Fixed bug with devices that have a lot of interfaces.
- Changed the tree widget to a different style.
- Restructured the internal code a bit nicer (a lot of work to
  go with this...)
- Added a TODO file to the archive listing some potential changes
  that could be done.

* Tue Jan 4 2000 Greg Kroah-Hartman <greg@kroah.com>
[usbview-0.7.0]
- The logic for determining the name of the device changed to
  properly display the name of a keyboard or mouse when the
  HID driver is used. This is needed for kernel versions 2.3.36
  and up.

* Tue Dec 21 1999 Greg Kroah-Hartman <greg@kroah.com>
[usbview-0.6.0]
- now can handle multiple root hubs.
- added display of bus bandwidth information for root hubs.
- added support for device strings to describe the device.
- made logic for device name to be smarter due to the availability
  of the string descriptors.

* Tue Dec 7 1999 Greg Kroah-Hartman <greg@kroah.com>
[usbview-0.5.0]
- updated the parser to handle the fact that the interface now
  dictates what driver is loaded.
- Tested on kernel version 2.3.29

* Tue Oct 26 1999 Greg Kroah-Hartman <greg@kroah.com>
[usbview-0.4.0]
- redid the user interface slightly, making the tree always expanded,
  showing the top of the text field, and better balancing the splitter
  bar.
- changed the parsing to make it easier to handle any future changes
  in the way the format of /proc/bus/usb/devices

* Sun Oct 3 1999 Greg Kroah-Hartman <greg@kroah.com>
[usbview-0.2.0]
- Configuration, interface, and endpoint data is now displayed
  for each device.
- Fixed problem with processing the last line in the /proc/... file
  twice.

* Sat Oct 2 1999 Greg Kroah-Hartman <greg@kroah.com>
[usbview-0.1.0]
- devices are read from /proc/bus/usb/devices and put into a tree view
- very basic information is displayed about each device when it is
  selected

